Terms Of Service

Generate a short-lived terms of service token for the authenticated merchant. Pass this token to the update endpoint once the user has accepted the terms.

Callable with a secret API key or an onboarding-session client secret (onb_sess_). A client secret always mints onto its own account: account_id is ignored.

export FRAME_API_KEY='sk_sandbox_...'

Create terms of service token

Generate a short-lived terms of service token for the authenticated merchant. Pass this token to the update endpoint once the user has accepted the terms.

Callable with a secret API key or an onboarding-session client secret (onb_sess_). A client secret always mints onto its own account: account_id is ignored.

Parameters

No parameters.

Returns

Token created successfully

POST/v1/terms_of_service
curl --request POST \
  --url https://api.framepayments.com/v1/terms_of_service \
  --header 'Authorization: Bearer API_KEY'
RESPONSE
{
  "token": "tos_sandbox_000000000000000000000001"
}

Accept terms of service

Record acceptance of the terms of service using a token obtained from the create endpoint.

Callable with a secret API key or an onboarding-session client secret (onb_sess_).

Body parameters
tokenstring

Terms of service token from the create endpoint

Returns

Terms of service accepted

PATCH/v1/terms_of_service
curl --request PATCH \
  --url https://api.framepayments.com/v1/terms_of_service \
  --header 'Authorization: Bearer API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "token": null
}'
RESPONSE
{
  "token": "tos_sandbox_000000000000000000000001"
}
Frame Assistant

Ask anything about Frame's APIs and products